/*
Copyright Ideaconsult (C) 2005-2007 
Contact: nina@acad.bg

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
package chemCast.data;

import java.util.Hashtable;
import java.util.Map;

import org.openscience.cdk.interfaces.IChemObject;

import ambit.data.IAmbitEditor;
import chemCast.ui.AbstractFilterEditor;

public abstract class AbstractFilter implements IObjectFilter {
	protected Hashtable parameters;
	public AbstractFilter() {
		super();
		parameters = new Hashtable();
	}

    public void preprocess(IChemObject object) {
        
    }
	public void setProperty(String key, Object value) {
		parameters.put(key,value);

	}

	public Object getProperty(String key) {
		return parameters.get(key);
	}

	public Object removeProperty(String key) {
		return parameters.remove(key);
	}
	public void setProperties(Map properties) {
		parameters.clear();
		parameters.putAll(properties);
		
	}
	public Map getProperties() {
		return parameters;
	}

	public IAmbitEditor getEditor() {
		return new AbstractFilterEditor(toString(),this);
	}
}



