/* ViewModeChangeEvent.java
 * Author: Nina Jeliazkova
 * Date: Oct 2, 2006 
 * Revision: 0.1 
 * 
 * Copyright (C) 2005-2006  Nina Jeliazkova
 * 
 * Contact: nina@acad.bg
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * All we ask is that proper credit is given for our work, which includes
 * - but is not limited to - adding the above copyright notice to the beginning
 * of your source code files, and to any copyright notice that you may distribute
 * with programs based on this work.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

package chemCast.events;

import java.beans.PropertyChangeEvent;

import chemCast.ui.MoleculesTable;

/**
 * {@link MoleculesTable} listens to this event in order to cdetermine  spreasheet/grid view
 * @author Nina Jeliazkova nina@acad.bg
 * <b>Modified</b> Oct 2, 2006
 */
public class ViewModeChangeEvent extends PropertyChangeEvent {
    /**
	 * 
	 */
	private static final long serialVersionUID = 3995545594713070998L;
	protected boolean spreadsheet;
    public static String propertyname = "spreadsheet";
    public ViewModeChangeEvent(Object source, String propertyName,
            Boolean oldValue, Boolean newValue) {
        super(source, propertyName, oldValue, newValue);
        this.spreadsheet = newValue.booleanValue();

    }
    public synchronized boolean isSpreadsheet() {
        return spreadsheet;
    }
    public synchronized void setSpreadsheet(boolean spreadsheet) {
        this.spreadsheet = spreadsheet;
    }

}
