/* SelectFieldsAction.java
 * Author: Nina Jeliazkova
 * Date: Nov 11, 2006 
 * Revision: 0.1 
 * 
 * Copyright (C) 2005-2006  Nina Jeliazkova
 * 
 * Contact: nina@acad.bg
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * All we ask is that proper credit is given for our work, which includes
 * - but is not limited to - adding the above copyright notice to the beginning
 * of your source code files, and to any copyright notice that you may distribute
 * with programs based on this work.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

package chemCast.ui.actions;

import java.util.ArrayList;

import javax.swing.Icon;
import javax.swing.JFrame;
import javax.swing.JOptionPane;

import ambit.data.molecule.PropertyTranslator;
import ambit.ui.UITools;
import ambit.ui.data.SelectPropertiesPanel;
import chemCast.application.ChemCASTModule;
import chemCast.application.StatusBar;
import chemCast.similarity.data.Subsets;

public class SelectFieldsAction extends ToxmatchAction {

    /**
     * 
     */
    private static final long serialVersionUID = 6157102430306202643L;

    public SelectFieldsAction(ChemCASTModule userData, JFrame mainFrame,
            int dataset) {
        this(userData, mainFrame,"Fields", dataset);
    }

    public SelectFieldsAction(ChemCASTModule userData, JFrame mainFrame,
            String name, int dataset) {
        this(userData, mainFrame, name,UITools.createImageIcon("ambit/ui/images/settings.png"), dataset);
    }

    public SelectFieldsAction(ChemCASTModule userData, JFrame mainFrame,
            String name, Icon icon, int dataset) {
        super(userData, mainFrame, name, icon, dataset);

    }

    @Override
    protected void processDataset(Subsets data) throws Exception {
        getChemCastData().getPropertyChangeSupport().firePropertyChange(StatusBar.Message_Processing,null,new Boolean(false));
        if (data.getParentDataset() == null) return;
        PropertyTranslator properties = data.getParentDataset().getProperties();
        SelectPropertiesPanel sp = new SelectPropertiesPanel(properties,new String[] {"identifiers","descriptors","endpoint","similarity","subsets"},data.getFields());
        if (JOptionPane.showConfirmDialog(mainFrame,sp,"Select data fields to display",JOptionPane.OK_CANCEL_OPTION,JOptionPane.PLAIN_MESSAGE)       
                ==JOptionPane.OK_OPTION) {
            ArrayList<String> fields = sp.getFields();
            data.setFields(fields);
        }
    }

}
