/* ViewModeAction.java
 * Author: Nina Jeliazkova
 * Date: Oct 2, 2006 
 * Revision: 0.1 
 * 
 * Copyright (C) 2005-2006  Nina Jeliazkova
 * 
 * Contact: nina@acad.bg
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * All we ask is that proper credit is given for our work, which includes
 * - but is not limited to - adding the above copyright notice to the beginning
 * of your source code files, and to any copyright notice that you may distribute
 * with programs based on this work.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

package chemCast.ui.actions;

import javax.swing.Action;
import javax.swing.Icon;
import javax.swing.JFrame;

import ambit.ui.UITools;

import chemCast.application.ChemCASTModule;
import chemCast.events.ViewModeChangeEvent;
import chemCast.similarity.data.Subsets;

public class ViewModeAction extends ToxmatchAction {
    /**
     * 
     */
    private static final long serialVersionUID = -2565490562478145452L;
    protected boolean spreadsheet = false;
    public ViewModeAction(ChemCASTModule userData, JFrame mainFrame, int dataset) {
        this(userData, mainFrame,"View", dataset);
    }

    public ViewModeAction(ChemCASTModule userData, JFrame mainFrame,
            String name, int dataset) {
        this(userData, mainFrame, name, UITools.createImageIcon("ambit/ui/images/view_16.png"), dataset);
    }

    public ViewModeAction(ChemCASTModule userData, JFrame mainFrame,
            String name, Icon icon, int dataset) {
        super(userData, mainFrame, name, icon, dataset);
    }
    protected String getName() {
        if (spreadsheet) return "table"; else return "details";
    }
    @Override
    protected void processDataset(Subsets data) throws Exception {
        
        getChemCastData().getPropertyChangeSupport().
            firePropertyChange(new ViewModeChangeEvent(
                    getChemCastData(),data.getName(),
                    new Boolean(spreadsheet),
                    new Boolean(!spreadsheet)));
        spreadsheet = !spreadsheet;
        putValue(Action.SHORT_DESCRIPTION,getName());

    }
    @Override
    public String toString() {
    	return "Change view mode to " + getName();
    }

}
